Subject: Make: MAKE_MODE, Backslash, Semicolon
From: [email-masked] (Mark Baker)

7 Jul 1998 02:15:08 -0700
Message-ID: <[email-masked]>
To: "[email-masked]'" <[email-masked]>

Hi,

I'm having trouble with the following makefile: 

all: 
 set x=c:\dos;c:\windows 

where X is intended to be an environment variable for the command.com shell.

If MAKE_MODE=unix, then I get: c:windows: not found 
If MAKE_MODE=null, then I get: Bad command or filename 

Change the line to:  set x=c:\dos\;c:\windows 

If MAKE_MODE=unix, then it works. 
If MAKE_MODE=null, then I get: Bad command or filename 

There seems to be a problem with the semicolon that makes it require a backslash before it and then it only works with 
MAKE_MODE=UNIX. 

Same problems occur with set x=c:/dos;c:/windows and set x=c:\\dos;c:\\windows 

I am using make 3.75-B19.  I am using the new Windows 98 operating system. 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".